Results 1 to 6 of 6

Thread: Get error after run a program ( QCADesigner )

  1. #1

    Question Get error after run a program ( QCADesigner )

    Hello

    I'm installed QCADesigner ( a computer architecture program ) from RPM file ( Source Code and RPM Files ) . After that software management download some package install completed successfuly.
    At run time return these :

    Code:
    woeful@linux-i6rx:~> QCADesigner 
    
    (QCADesigner:10678): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
    
    (QCADesigner:10678): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
    
    (QCADesigner:10678): Gtk-WARNING **: Error loading icon from file '/usr/share/QCADesigner/pixmaps/QCADesigner.svg':
        Couldn't recognize the image file format for file '/usr/share/QCADesigner/pixmaps/QCADesigner.svg'
    
    (QCADesigner:10678): Gtk-WARNING **: Error loading icon: Couldn't recognize the image file format for file '/usr/share/QCADesigner/pixmaps/reorder_layers.svg'
    
    (QCADesigner:10678): Gtk-WARNING **: Error loading icon: Couldn't recognize the image file format for file '/usr/share/QCADesigner/pixmaps/bus.svg'
    
    (QCADesigner:10678): Gtk-WARNING **: Error loading icon: Couldn't recognize the image file format for file '/usr/share/QCADesigner/pixmaps/default.svg'
    
    (QCADesigner:10678): Gtk-WARNING **: Error loading icon: Couldn't recognize the image file format for file '/usr/share/QCADesigner/pixmaps/q_cell_def.svg'
    
    (QCADesigner:10678): Gtk-WARNING **: Error loading icon: Couldn't recognize the image file format for file '/usr/share/QCADesigner/pixmaps/q_cell_array.svg'
    
    (QCADesigner:10678): Gtk-WARNING **: Error loading icon: Couldn't recognize the image file format for file '/usr/share/QCADesigner/pixmaps/q_cell_rotate.svg'
    
    (QCADesigner:10678): Gtk-WARNING **: Error loading icon: Couldn't recognize the image file format for file '/usr/share/QCADesigner/pixmaps/q_cell_alt.svg'
    
    (QCADesigner:10678): Gtk-WARNING **: Error loading icon: Couldn't recognize the image file format for file '/usr/share/QCADesigner/pixmaps/q_cell_copy.svg'
    
    (QCADesigner:10678): Gtk-WARNING **: Error loading icon: Couldn't recognize the image file format for file '/usr/share/QCADesigner/pixmaps/q_cell_translate.svg'
    
    (QCADesigner:10678): Gtk-WARNING **: Error loading icon: Couldn't recognize the image file format for file '/usr/share/QCADesigner/pixmaps/q_cell_mirror.svg'
    
    (QCADesigner:10678): Gtk-WARNING **: Error loading icon: Couldn't recognize the image file format for file '/usr/share/QCADesigner/pixmaps/q_cell_pan.svg'
    
    (QCADesigner:10678): Gtk-WARNING **: Error loading icon: Couldn't recognize the image file format for file '/usr/share/QCADesigner/pixmaps/ruler.svg'
    Segmentation fault
    with sudo :

    Code:
    woeful@linux-i6rx:~> sudo QCADesigner 
    root's password:
    
    (QCADesigner:10810): Gtk-WARNING **: cannot open display:
    how can i resolve it .

    Thanks

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,917
    Blog Entries
    2

    Default Re: Get error after run a program ( QCADesigner )

    A quick search suggests the app is not well documented, no prerequisites are officially listed.

    A search result says that a year ago qt3 was a requirement and librecad may be preferable running qt4.
    qcad - Linux Mint Community

    My guess is that some version of qt will likely address the svg errors(you need something that can render that image format) but unknown if it will address your path issues.

    HTH,
    TSU

  3. #3

    Question Re: Get error after run a program ( QCADesigner )

    thanks for your replay .
    Is it possible if i compile the program to run properly?

  4. #4
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,917
    Blog Entries
    2

    Default Re: Get error after run a program ( QCADesigner )

    Quote Originally Posted by woeful View Post
    thanks for your replay .
    Is it possible if i compile the program to run properly?
    From what I can see, it's unlikely there would be any difference between compiling yourself vs using a pre-compiled package... The critical issue is if you have all dependencies installed on your system which would be required in both cases and because the app's dependency documentation is non-existent it might be an adventure.

    In any case, I'd recommend
    - Install the qt3 packages from the standard openSUSE repos and see if your existing QCAD runs properly.
    - If QCAD can't run properly, then look for the documentation for LibreCAD. Hopefully the documentation will be better, but even if it isn't it's likely you'll need to install the qt4 packages before trying LibreCAD.

    TSU

  5. #5

    Default Re: Get error after run a program ( QCADesigner )

    Quote Originally Posted by tsu2 View Post
    From what I can see, it's unlikely there would be any difference between compiling yourself vs using a pre-compiled package...
    Of course there would be a difference. The application would be compiled against the installed library versions.
    If you install a pre-compiled package you need the library versions it was compiiled against.
    So it can happen that it needs libpng15 which isn't available for openSUSE 13.1 (which ships with libpng16), f.e.

    The critical issue is if you have all dependencies installed on your system which would be required in both cases and because the app's dependency documentation is non-existent it might be an adventure.
    That's true of course.

    In any case, I'd recommend
    - Install the qt3 packages from the standard openSUSE repos and see if your existing QCAD runs properly.
    AFAICS on that homepage, QCADesigner is a GTK+ application. Actually the name is QCA-Designer, not QCAD or anything similar to that...
    QCAD is a completely different application. Packages for QCAD are available on OBS (KDE:KDE3 repo), LibreCAD (which indeed is a Qt4 application) is even included in the standard repo, so should be listed in YaST without doing anything special.

    Regarding the original problems:
    Which openSUSE version are you using? Which exact package did you install?
    I may have a look at it in the next days...

  6. #6

    Default Re: Get error after run a program ( QCADesigner )

    I have created packages, you can get them here:
    software.opensuse.org: Install package home:wolfi323 / QCADesigner

    FYI: The program crashed while setting up the ruler scales. I haven't bothered (yet) to further investigate this, but disabled that stuff for now (as is done for the Windows version). It starts fine now, but I haven't really tested the application.
    The menu entry is installed in Development->Design, I wasn't sure where else to put it...
    Please try it and report problems if there are any.

    Regarding the build dependencies, it didn't really need much. Just glib2-devel, gtk2-devel, and the usual make, gcc, autoconf and friends...

    Merry X-Mas!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •